Bug 11922 - Appletalk support no longer configured into default kernels
Summary: Appletalk support no longer configured into default kernels
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-06 10:06 UTC by kucharsk
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 21:54:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kucharsk 2000-06-06 10:06:11 UTC
Prior Red Hat kernels had Appletalk support configured in by default. This
has changed in RH 6.2 (at least as of kernel 2.2.14-12). This means that
unlike updates from 5.2 to 6.0 and 6.0 to 6.1, if you want to run netatalkd
you must compile the appletalk.o module from source and copy it to
/lib/modules/2.2.14-12/net yourself.  The ipddp.o module DOES exist but
without the appletalk.o module several symbols remain undefined so it will
not load properly.

At the very least this should be mentioned in the docs somewhere as a
caveat for the upgrade...

Comment 1 Alan Cox 2000-08-08 21:54:54 UTC
This appears to be an oversight

Comment 2 Michael K. Johnson 2000-08-08 22:09:53 UTC
The 2.2.16-3 errata release and the current beta release
both have the appletalk.o module and have CONFIG_ATALK=m


Note You need to log in before you can comment on or make changes to this bug.